Mailinglist Archive: opensuse-commit (2685 mails)

< Previous Next >
commit gnome-desktop for openSUSE:Factory
Hello community,

here is the log from the commit of package gnome-desktop for openSUSE:Factory
checked in at 2018-03-14 19:31:22
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/gnome-desktop (Old)
and /work/SRC/openSUSE:Factory/.gnome-desktop.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "gnome-desktop"

Wed Mar 14 19:31:22 2018 rev:141 rq:586267 version:3.28.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/gnome-desktop/gnome-desktop.changes
2017-11-03 19:06:05.932093339 +0100
+++ /work/SRC/openSUSE:Factory/.gnome-desktop.new/gnome-desktop.changes
2018-03-14 19:31:24.433463076 +0100
@@ -1,0 +2,48 @@
+Mon Mar 12 19:49:24 UTC 2018 - dimstar@xxxxxxxxxxxx
+
+- Update to version 3.28.0:
+ + No changes.
+
+-------------------------------------------------------------------
+Fri Mar 9 21:39:18 UTC 2018 - bjorn.lie@xxxxxxxxx
+
+- Update to version 3.27.92:
+ + Idle-monitor fixes.
+ + Several fixes for compilation warnings.
+ + Updated translations.
+
+-------------------------------------------------------------------
+Wed Feb 28 16:27:49 UTC 2018 - dimstar@xxxxxxxxxxxx
+
+- Modernize spec-file by calling spec-cleaner
+
+-------------------------------------------------------------------
+Sat Feb 10 18:28:52 UTC 2018 - bjorn.lie@xxxxxxxxx
+
+- Update to version 3.27.90:
+ + Miscellaneous improvements to the thumbnailer code.
+ + Remove unused gnome_desktop_thumbnail_has_uri().
+ + Replace GdkColor methods with GdkRGBA methods.
+- Bump so name following upstream changes, ie: rename sub package
+ libgnome-desktop-3-12 to libgnome-desktop-3-17 and in
+ baselibs.conf.
+
+-------------------------------------------------------------------
+Wed Nov 15 02:56:34 UTC 2017 - luc14n0@xxxxxxxxxxxxx
+
+- Update to version 3.27.2:
+ + No changes.
+
+-------------------------------------------------------------------
+Thu Nov 2 03:27:01 UTC 2017 - dimstar@xxxxxxxxxxxx
+
+- Update to version 3.27.1:
+ + Change default Japanish input source to KCC.
+ + wall-clock: respect new clock-show-weekday setting.
+ + Remove some obsolete API's in thumbnailer.
+ + Modernize autotools configuration a bit.
+ + Updated translations.
+- Rebase gnome-desktop-switch-Japanese-default-input-to-mozc.patch:
+ For now we stay with mozc, despite upstream changing to kkc.
+
+-------------------------------------------------------------------

Old:
----
gnome-desktop-3.26.2.tar.xz

New:
----
gnome-desktop-3.28.0.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ gnome-desktop.spec ++++++
--- /var/tmp/diff_new_pack.EsE2sN/_old 2018-03-14 19:31:25.553423303 +0100
+++ /var/tmp/diff_new_pack.EsE2sN/_new 2018-03-14 19:31:25.565422877 +0100
@@ -1,7 +1,7 @@
#
# spec file for package gnome-desktop
#
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -18,26 +18,24 @@

%define IS_DEFAULT_GNOME_DESKTOP 1
Name: gnome-desktop
-Version: 3.26.2
+Version: 3.28.0
Release: 0
Summary: The GNOME Desktop API Library
-License: LGPL-2.1+
+License: LGPL-2.1-or-later
Group: System/GUI/GNOME
-Url: http://www.gnome.org
-Source:
http://download.gnome.org/sources/gnome-desktop/3.26/%{name}-%{version}.tar.xz
+URL: http://www.gnome.org
+Source:
http://download.gnome.org/sources/gnome-desktop/3.28/%{name}-%{version}.tar.xz
Source99: baselibs.conf
# PATFH-FIX-OPENSUSE gnome-desktop-switch-Japanese-default-input-to-mozc.patch
bnc#1029083 boo#1056289 qzhao@xxxxxxxx -- Switch new user's default input
engine from "anthy" to "mozc" in gnome-desktop with Japanese language and ibus
input frame-work condition.
Patch1: gnome-desktop-switch-Japanese-default-input-to-mozc.patch
BuildRequires: fdupes
BuildRequires: gobject-introspection-devel
BuildRequires: intltool
-%if !0%{?is_opensuse}
-BuildRequires: translation-update-upstream
-%endif
+BuildRequires: pkgconfig
BuildRequires: yelp-tools
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.36.5
BuildRequires: pkgconfig(glib-2.0) >= 2.53.0
-BuildRequires: pkgconfig(gsettings-desktop-schemas) >= 3.5.91
+BuildRequires: pkgconfig(gsettings-desktop-schemas) >= 3.27.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.3.6
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libseccomp)
@@ -45,6 +43,9 @@
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xkbfile)
BuildRequires: pkgconfig(xkeyboard-config)
+%if !0%{?is_opensuse}
+BuildRequires: translation-update-upstream
+%endif
%if 0%{?BUILD_FROM_VCS}
BuildRequires: gnome-common
BuildRequires: gtk-doc
@@ -53,7 +54,7 @@
%description
This package contains the desktop-wide files.

-%if %IS_DEFAULT_GNOME_DESKTOP || 0%{?BUILD_FROM_VCS}
+%if %{IS_DEFAULT_GNOME_DESKTOP} || 0%{?BUILD_FROM_VCS}
%package -n gnome-version
Summary: GNOME version
Group: System/GUI/GNOME
@@ -73,21 +74,21 @@

This package contains data files used by libgnome-dekstop.

-%package -n libgnome-desktop-3-12
+%package -n libgnome-desktop-3-17
Summary: The GNOME Desktop API Library
Group: System/Libraries
+# the library calls out to bwrap in order to fire up thumbnailers in a secure
container
+Requires: bubblewrap
Requires: gsettings-desktop-schemas
# Data files for libgnome-desktop, split in an own package for SLPP compliancy
Requires: libgnome-desktop-3_0-common >= %{version}
-# the library calls out to bwrap in order to fire up thumbnailers in a secure
container
-Requires: bubblewrap
Recommends: %{name}-lang
Provides: %{name} = %{version}
-%if %IS_DEFAULT_GNOME_DESKTOP
+%if %{IS_DEFAULT_GNOME_DESKTOP}
Obsoletes: %{name} < %{version}
%endif

-%description -n libgnome-desktop-3-12
+%description -n libgnome-desktop-3-17
The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons.
@@ -107,11 +108,11 @@
%package -n libgnome-desktop-3-devel
Summary: Development files for the GNOME Desktop API library
Group: Development/Libraries/GNOME
-Requires: libgnome-desktop-3-12 = %{version}
+Requires: libgnome-desktop-3-17 = %{version}
# Needed as /usr/include/gnome-desktop-3.0/libgnome-desktop/gnome-xkb-info.h
includes X11/extensions/XKBrules.h
Requires: libxkbfile-devel
Requires: typelib-1_0-GnomeDesktop-3_0 = %{version}
-%if %IS_DEFAULT_GNOME_DESKTOP
+%if %{IS_DEFAULT_GNOME_DESKTOP}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel < %{version}
Provides: %{name}-doc = %{version}
@@ -147,39 +148,35 @@
make %{?_smp_mflags}

%install
-%makeinstall
+%make_install
%find_lang %{name}-3.0 %{?no_lang_C}
%find_lang fdl %{?no_lang_C} %{name}-3.0.lang
%find_lang gpl %{?no_lang_C} %{name}-3.0.lang
%find_lang lgpl %{?no_lang_C} %{name}-3.0.lang
-%if ! (%IS_DEFAULT_GNOME_DESKTOP || 0%{?BUILD_FROM_VCS})
+%if ! (%{IS_DEFAULT_GNOME_DESKTOP} || 0%{?BUILD_FROM_VCS})
rm %{buildroot}%{_datadir}/gnome/gnome-version.xml
%endif
-rm -vf %{buildroot}%{_libdir}/*.la
+find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}/%{_prefix}

-%post -n libgnome-desktop-3-12 -p /sbin/ldconfig
-
-%postun -n libgnome-desktop-3-12 -p /sbin/ldconfig
+%post -n libgnome-desktop-3-17 -p /sbin/ldconfig
+%postun -n libgnome-desktop-3-17 -p /sbin/ldconfig

-%files -n libgnome-desktop-3-12
-%defattr(-, root, root)
-%doc AUTHORS COPYING.LIB NEWS README
+%files -n libgnome-desktop-3-17
+%license COPYING.LIB
+%doc AUTHORS NEWS README
%{_libdir}/libgnome-desktop-3.so.*

%files -n libgnome-desktop-3_0-common
-%defattr(-,root,root)
%doc %{_datadir}/help/C/fdl/
%doc %{_datadir}/help/C/gpl/
%doc %{_datadir}/help/C/lgpl/
%{_libexecdir}/gnome-rr-debug

%files -n typelib-1_0-GnomeDesktop-3_0
-%defattr(-,root,root)
%{_libdir}/girepository-1.0/GnomeDesktop-3.0.typelib

%files -n libgnome-desktop-3-devel
-%defattr (-, root, root)
%{_includedir}/gnome-desktop-3.0/
%{_libdir}/libgnome-desktop-3.so
%{_libdir}/pkgconfig/gnome-desktop-3.0.pc
@@ -188,9 +185,8 @@

%files lang -f %{name}-3.0.lang

-%if %IS_DEFAULT_GNOME_DESKTOP || 0%{?BUILD_FROM_VCS}
+%if %{IS_DEFAULT_GNOME_DESKTOP} || 0%{?BUILD_FROM_VCS}
%files -n gnome-version
-%defattr (-, root, root)
%dir %{_datadir}/gnome
%{_datadir}/gnome/gnome-version.xml
%endif

++++++ baselibs.conf ++++++
--- /var/tmp/diff_new_pack.EsE2sN/_old 2018-03-14 19:31:25.625420746 +0100
+++ /var/tmp/diff_new_pack.EsE2sN/_new 2018-03-14 19:31:25.625420746 +0100
@@ -1,3 +1,3 @@
-libgnome-desktop-3-12
+libgnome-desktop-3-17
obsoletes "gnome-desktop-<targettype> <= <version>"
provides "gnome-desktop-<targettype> = <version>"

++++++ gnome-desktop-3.26.2.tar.xz -> gnome-desktop-3.28.0.tar.xz ++++++
++++ 27754 lines of diff (skipped)

++++++ gnome-desktop-switch-Japanese-default-input-to-mozc.patch ++++++
--- /var/tmp/diff_new_pack.EsE2sN/_old 2018-03-14 19:31:26.641384666 +0100
+++ /var/tmp/diff_new_pack.EsE2sN/_new 2018-03-14 19:31:26.641384666 +0100
@@ -1,11 +1,12 @@
-diff -Nura gnome-desktop-3.24.2/libgnome-desktop/default-input-sources.h
gnome-desktop-3.24.2_new/libgnome-desktop/default-input-sources.h
---- gnome-desktop-3.24.2/libgnome-desktop/default-input-sources.h
2017-02-13 22:54:01.000000000 +0000
-+++ gnome-desktop-3.24.2_new/libgnome-desktop/default-input-sources.h
2017-08-28 09:03:25.800295122 +0000
-@@ -33,7 +33,7 @@
+Index: gnome-desktop-3.27.1/libgnome-desktop/default-input-sources.h
+===================================================================
+--- gnome-desktop-3.27.1.orig/libgnome-desktop/default-input-sources.h
++++ gnome-desktop-3.27.1/libgnome-desktop/default-input-sources.h
+@@ -34,7 +34,7 @@ static DefaultInputSource default_input_
{ "he_IL", "xkb", "il" },
{ "hi_IN", "ibus", "m17n:hi:inscript" },
{ "it_IT", "xkb", "it" },
-- { "ja_JP", "ibus", "anthy" },
+- { "ja_JP", "ibus", "kkc" },
+ { "ja_JP", "ibus", "Japanese (Mozc)" },
{ "kn_IN", "ibus", "m17n:kn:kgp" },
{ "ko_KR", "ibus", "hangul" },


< Previous Next >
This Thread